Package org.apache.sling.feature.cpconverter.repoinit.createpath

## Class MixinParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.sling.feature.cpconverter.shared.AbstractJcrNodeParser<String>
    - - org.apache.sling.feature.cpconverter.repoinit.createpath.MixinParser

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

    public final class MixinParser
    extends AbstractJcrNodeParser<String>

### Field Summary

### Fields inherited from class org.apache.sling.feature.cpconverter.shared.AbstractJcrNodeParser

`detectedPrimaryType, JCR_ROOT`

### Constructor Summary

Constructors
`MixinParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getParsingResult()`
`protected void` `onJcrRootElement​(String uri, String localName, String qName, Attributes attributes)`
`protected void` `onJcrRootNode​(String uri, String localName, String qName, Attributes attributes, String primaryType)`

### Methods inherited from class org.apache.sling.feature.cpconverter.shared.AbstractJcrNodeParser

`parse, startElement`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MixinParser

    public MixinParser()

### Method Detail

#### onJcrRootNode

    protected void onJcrRootNode​(String uri,
                                 String localName,
                                 String qName,
                                 Attributes attributes,
                                 String primaryType)

Overrides:
  `onJcrRootNode` in class `AbstractJcrNodeParser<String>`

#### onJcrRootElement

    protected void onJcrRootElement​(String uri,
                                    String localName,
                                    String qName,
                                    Attributes attributes)

Specified by:
  `onJcrRootElement` in class `AbstractJcrNodeParser<String>`

#### getParsingResult

    protected String getParsingResult()

Specified by:
  `getParsingResult` in class `AbstractJcrNodeParser<String>`